#!/bin/ksh93
# File Name:    Exit.ksh (ksh93)
#				Unconditionally exit with return code $1
#				This is of use only for trapped errors since trap itself cannot set a non-zero exit code.	
# Author:       Alex Levy t/a http://www.sustainablesoftware.net
#
# Date:         April 2012.           
#-------------------------------------------------------------------------------

(( $# == 1 )) && exit $1
exit 99
