with TABLIST		(fullname,seqno) as								
            		(select rtrim(tabschema)||'.'||tabname, 				
                    		rownumber() over (order by tabschema||tabname)	
             		 from   syscat.tables									
             		 where  STATUS = 'C'),               					
     SERIAL_LIST	(s_fullname,s_seqno) as						
             		(select varchar(rtrim(fullname),32416),					
                    		seqno 											
              		 from   tablist 										
              		 where  seqno = 1										
                     		UNION ALL										
              		 select varchar(rtrim(s_fullname||','||fullname),32416),
                     		seqno											
              		 from   tablist t, serial_list s						
              		 where  s.s_seqno +1 = t.seqno )						
select rtrim('set integrity for '|| s_fullname || ' immediate checked;')	
from   ( select s_fullname, 								
                s_seqno,									
                rownumber() over (order by s_seqno desc) as rownum 	
         from   serial_list) as zzzzz						
         where  rownum = 1
;
