-- generate DDL to reclaim space where the HWM is significantly ( > ~10% ) above used pages 
select 'alter tablespace ',substr(tbsp_name,1,18),' reduce max;'
from   table (mon_get_tablespace('',-2)) as zzz
where  tbsp_used_pages + tbsp_pending_free_pages < ( tbsp_page_top * 90 / 100 )
and	   tbsp_content_type in ('ANY','LARGE')
and	   tbsp_using_auto_storage = 1
and    tbsp_auto_resize_enabled = 1
and    tbsp_state = 'NORMAL'
and    reclaimable_space_enabled = 1	
and    tbsp_type = 'DMS'
;
